Bug 174885 - Incorrect path for include_path in php.ini
Incorrect path for include_path in php.ini
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 07:43 EST by Reuben Farrelly
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 04:59:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2005-12-03 07:43:16 EST
The new default php.ini in php-5.1.1-2 has this:

;;;;;;;;;;;;;;;;;;;;;;;;;
; Paths and Directories ;
;;;;;;;;;;;;;;;;;;;;;;;;;

; UNIX: "/path1:/path2"
;include_path = ".:/php/includes"


However my externally downloaded pear modules from pear.php.net are all stored
in /usr/share/pear, and without setting the include_path I get lots of errors
like this:

Warning: include_once(PEAR.php) [function.include-once]: failed to open stream:
No such file or directory in /var/www/html/horde/lib/core.php on line 45

Warning: include_once() [function.include]: Failed opening 'PEAR.php' for
inclusion (include_path='.:/php/includes') in /var/www/html/horde/lib/core.php
on line 45

So two things need to be changed:
- the include directory needs to be unhashed out AND
- the path needs to be fixed to be...  include_path = ".:/usr/share/pear"

Perhaps this can be changed at compile time so that the right path is hardcoded
and compiled as the default.
Comment 1 Joe Orton 2005-12-05 04:59:11 EST
Thanks for testing these packages out.

I've fixed this so that the default hard-coded include_path setting is
".:/usr/share/pear" again.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.